cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
193
Views
0
Helpful
1
Replies

Cisco N7K OS Upgrade

Hi,

 

I am upgrading some N7706s and they are not in VPC but have multiple VDCs on them. they have 2 x supervisor modules i.e. N77-SUP2E and they are current on version 7.3(0)DX(1) the plan is to upgrade them to 

8.0(1.

 

However, I am struggling to identify the path and confused whether I will have to upgrade EPLD separately. 

 

could one of you please help with the path and upgrade process?

 

 

thanks.

1 REPLY 1
Sergiu.Daniluk
VIP Engager

Hi,

 

First, before any upgrades, I strongly advise you to read the upgrade guidelines and release notes of the target NXOS version. In your case:

Upgrade guide NXOS: https://www.cisco.com/c/en/us/td/docs/switches/datacenter/nexus7000/sw/upgrade/guide/cisco_nexus7000_software_upgrade_and_downgrade_guide_8x.html

Upgrade guide FPGA: https://www.cisco.com/c/en/us/td/docs/switches/datacenter/nexus7000/sw/epld/cisco_nexus7000_epld_rn_8x.html

Release notes:  https://www.cisco.com/c/en/us/td/docs/switches/datacenter/nexus7000/sw/release/notes/cisco_nexus7000_release_notes_8x.html

 

If you read the first document (upgrade guide) you have there a table with supported upgrades to your target NXOS: ISSU Paths for Cisco NX-OS Release 8.0(1). You will see that the upgrade is possible from your running version. 

If it would have not been there, then you either look on multi-step ISSU, or a cold upgrade (non-ISSU).

About the FPGA, it all depends on the version on your modules. There is a table called Table 7 Supported Modules with the FPGA in Cisco NX-OS Releases 8.0(1), 8.1(1), and 8.2(1)
If the version is the one in the table, you're good. If not, you need to upgrade

 

Stay safe,

Sergiu

 

Content for Community-Ad